org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.AbstractContainerNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractContainerNode

- All Implemented Interfaces:
    ContainerItemProvider.Node
  Direct Known Subclasses:
    ContainerItemProvider.ContainerNode
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<Object>>

      public abstract class ContainerItemProvider.AbstractContainerNode
      extends ContainerItemProvider.AbstractNode

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IListener` | `containerListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractContainerNode(ContainerItemProvider.Node parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<ContainerItemProvider.Node>` | `createChildren()`
    `void` | `dispose()`
    `void` | `disposeChildren()`
    `protected void` | `fillChildren(List<ContainerItemProvider.Node> children, IContainer<Object> container)`
    `List<ContainerItemProvider.Node>` | `getChildren()`
    `IContainer<Object>` | `getContainer()`
    `boolean` | `hasChildren()`
    `protected void` | `onAdded(IContainer<Object> container, Object element)`
    `protected void` | `onRemoved(IContainer<Object> container, Object element)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

      `addChild, checkNotDisposed, getParent, getTreePath, isDisposed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `getElement`

- - ### Field Detail

    - #### containerListener

          protected IListener containerListener

  - ### Constructor Detail

    - #### AbstractContainerNode

          public AbstractContainerNode(ContainerItemProvider.Node parent)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`
      Overrides:
        `dispose` in class `ContainerItemProvider.AbstractNode`

    - #### disposeChildren

          public void disposeChildren()

      Specified by:
        `disposeChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `disposeChildren` in class `ContainerItemProvider.AbstractNode`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `hasChildren` in class `ContainerItemProvider.AbstractNode`
      Since:
        3.4

    - #### getChildren

          public final List<ContainerItemProvider.Node> getChildren()

    - #### getContainer

          public IContainer<Object> getContainer()

    - #### createChildren

          protected List<ContainerItemProvider.Node> createChildren()

    - #### fillChildren

          protected void fillChildren(List<ContainerItemProvider.Node> children,
                                      IContainer<Object> container)

      Since:
        3.1

    - #### onAdded

          protected void onAdded(IContainer<Object> container,
                                 Object element)

    - #### onRemoved

          protected void onRemoved(IContainer<Object> container,
                                   Object element)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html